function dividefile(datafile,trainfile,testfile)

% divide data file randomly
% according to the ratio 0.5
% format dividefile(datafile,trainfile,testfile)

ratio = 0.5 ;
data = load(datafile) ;
[n,m]=size(data) ;
index = zeros(n,1) ;

rand('state',sum(100*clock)) ;

i=0;

while i<floor(n*ratio)
   rd = ceil(rand(1)*n);
   if (index(rd)~=1)
      index(rd)=1;
      i=i+1;
   end   
end

fid1 = fopen(trainfile,'wt+') ;
fid2 = fopen(testfile,'wt+') ;

for i = 1:n
   if (index(i)==1)%training data
      for j =1:m
         fwrite(fid1,sprintf('%.7f	',data(i,j)) ) ;
      end
      fwrite(fid1,sprintf('\n') ) ;

   else
      for j =1:m
         fwrite(fid2,sprintf('%.7f	',data(i,j)) ) ;
      end      
      fwrite(fid2,sprintf('\n') ) ;
   end   
end 

fclose (fid1) ;
fclose (fid2) ;

%clear d ;

